﻿using UnityEngine;
using System.Collections;

public class EffectData {

    public delegate void StateEventHandler(Character c);
    public delegate void UpdateEventHandler(Character c, float DeltaTime);

    // For things like Boots, OnBeginEffect gets
    // called when you equip the item
    public StateEventHandler OnBeginEffect;
    public StateEventHandler OnEndEffect;
    public UpdateEventHandler OnUpdate;

}
